"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fileExists = exports.workspaceRootInner = exports.appRootPath = exports.workspaceRoot = void 0;
const path = require("path");
const fs_1 = require("fs");
/**
 * The root of the workspace
 */
exports.workspaceRoot = workspaceRootInner(__dirname, null);
/**
 * The root of the workspace.
 *
 * @deprecated use workspaceRoot instead
 */
exports.appRootPath = exports.workspaceRoot;
function workspaceRootInner(dir, candidateRoot) {
    if (process.env.NX_WORKSPACE_ROOT_PATH)
        return process.env.NX_WORKSPACE_ROOT_PATH;
    if (path.dirname(dir) === dir)
        return candidateRoot || process.cwd();
    if (fileExists(path.join(dir, 'nx.json'))) {
        return dir;
    }
    else if (fileExists(path.join(dir, 'node_modules', 'nx', 'package.json'))) {
        return workspaceRootInner(path.dirname(dir), dir);
    }
    else {
        return workspaceRootInner(path.dirname(dir), candidateRoot);
    }
}
exports.workspaceRootInner = workspaceRootInner;
function fileExists(filePath) {
    try {
        return (0, fs_1.statSync)(filePath).isFile();
    }
    catch (err) {
        return false;
    }
}
exports.fileExists = fileExists;
//# sourceMappingURL=workspace-root.js.map